using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
public class ViewModel
    {
     public ObservableCollection<GridData> Data { get; set; }

        public ViewModel()
        {
            CreateData();
            
        }

        private string[] names = { "John", "Kim", "Sandy", "Mark", "Josh", "Jim", "Sam", "Mary", 
                                     "Harry", "Sue", "Chris", "Joe", "Carl" };
        private string[] recDescs = { "Test", "Duplicate", "Standard", "Trial", "Expired", "New", "History" };
        private void CreateData()
        {
            Random r = new Random();
            Data = new ObservableCollection<GridData>();
            for (int i = 0; i < 100; i++)
            {
                Data.Add(new GridData()
                {
                    ID = i,
                    Name = names[r.Next(13)],
                    Amount = r.Next(20),
                    RecDate = DateTime.Today.AddDays(r.Next(10))
                });
            }

            
        }

    }
    public class GridData : INotifyPropertyChanged
    {
        
        private int id;
        private string name;
        private DateTime recDt;
        private double amount;


        public int ID
        {
            get { return id; }
            set
            {
                if (id != value)
                {
                    id = value;
                    OnPropertyChanged("ID");
                }
            }
        }

        public string Name
        {
            get { return name; }
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        public double Amount
        {
            get { return amount; }
            set
            {
                if (amount != value)
                {
                    amount = value;
                    OnPropertyChanged("Amount");
                }
            }
        }

        public DateTime RecDate
        {
            get { return recDt; }
            set
            {
                if (recDt != value)
                {
                    recDt = value;
                    OnPropertyChanged("RecDate");
                }
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }