﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Samples;

namespace HostAnyControl
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

      

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button btn = sender as Button;
            btn.DataContext = (double)btn.DataContext * 2;

            XDG1.ExecuteCommand(DataPresenterCommands.EndEditModeAndAcceptChanges);
            
        }

        private void XDG1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            if (e.FieldLayout.Key.ToString() == "GridData")
            {
                Field field = e.FieldLayout.Fields["Amount"];
                if (field != null)
                {
                    FieldSettings fs = new FieldSettings();                   
                    fs.AllowEdit = true;
                    DataTemplate dt = XDG1.Resources["doubleRenderTemplate"] as DataTemplate;
                    Style style = new Style(typeof(ControlHostEditor));
                    style.Setters.Add(new Setter(ControlHostEditor.EditDataTemplateProperty, dt));
                    fs.EditorStyle = style;
                    field.Settings = fs;

                }
            }
        }
    }
}
